NewPooledConnection (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class NewPooledConnection

- java.lang.Object
- - com.mchange.v2.c3p0.impl.NewPooledConnection

- All Implemented Interfaces:
    com.mchange.v1.util.ClosableResource, javax.sql.PooledConnection

      public final class NewPooledConnection
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewPooledConnection(java.sql.Connection con, ConnectionTester connectionTester, boolean autoCommitOnClose, boolean forceIgnoreUnresolvedTransactions, java.lang.String preferredTestQuery, ConnectionCustomizer cc, java.lang.String pdsIdt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConnectionEventListener(javax.sql.ConnectionEventListener cel)`
    `void` | `addStatementEventListener(javax.sql.StatementEventListener sel)`
    `void` | `close()`
    `void` | `closeAll()`
    `java.sql.Connection` | `getConnection()`
    `int` | `getConnectionStatus()`
    `GooGooStatementCache` | `getStatementCache()`
    `void` | `initStatementCache(GooGooStatementCache scache)`
    `void` | `printConnectionListeners()`
    `void` | `printStatementListeners()`
    `void` | `removeConnectionEventListener(javax.sql.ConnectionEventListener cel)`
    `void` | `removeStatementEventListener(javax.sql.StatementEventListener sel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewPooledConnection

          public NewPooledConnection(java.sql.Connection con,
                                     ConnectionTester connectionTester,
                                     boolean autoCommitOnClose,
                                     boolean forceIgnoreUnresolvedTransactions,
                                     java.lang.String preferredTestQuery,
                                     ConnectionCustomizer cc,
                                     java.lang.String pdsIdt)
                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getConnectionStatus

          public int getConnectionStatus()

    - #### closeAll

          public void closeAll()
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addConnectionEventListener

          public void addConnectionEventListener(javax.sql.ConnectionEventListener cel)

    - #### removeConnectionEventListener

          public void removeConnectionEventListener(javax.sql.ConnectionEventListener cel)

    - #### printConnectionListeners

          public void printConnectionListeners()

    - #### addStatementEventListener

          public void addStatementEventListener(javax.sql.StatementEventListener sel)

    - #### removeStatementEventListener

          public void removeStatementEventListener(javax.sql.StatementEventListener sel)

    - #### printStatementListeners

          public void printStatementListeners()

    - #### initStatementCache

          public void initStatementCache(GooGooStatementCache scache)

    - #### getStatementCache

          public GooGooStatementCache getStatementCache()